//skybox

textures/ut_nuclear/nuclear
{
	qer_editorimage textures/ut_nuclear/nuclear.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun .5 .37 .19 500 180 45
	skyparms textures/ut_nuclear/env/nuclear - -
}

textures/ut_nuclear/crossbeam2
{
	qer_editorimage textures/ut_nuclear/crossbeam2.tga
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_nuclear/crossbeam2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_nuclear/grate1
{
    surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_nuclear/grate1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_nuclear/ladder
{
        qer_editorimage textures/ut_nuclear/ladder.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_nuclear/ladder.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_nuclear/fan_grill
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	qer_editorimage textures/ut_nuclear/fan_grill.tga
	{
		map textures/ut_nuclear/dkgray.tga
//		blendFunc blend
	}
	{
		clampmap textures/ut_nuclear/fan.tga
		tcMod rotate 768 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		clampmap textures/ut_nuclear/fan_grill.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_nuclear/light_spot_01d
{
	qer_editorimage textures/ut_nuclear/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_nuclear/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_nuclear/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_nuclear/light_industrial_02d
{
	qer_editorimage textures/ut_nuclear/light_industrial_02d.tga
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_nuclear/light_industrial_02d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_nuclear/light_industrial_02d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_nuclear/light_redflash01d
{
	q3map_lightimage textures/ut_nuclear/light_red.tga
	qer_editorimage textures/ut_nuclear/light_red.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_nuclear/light_red.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ut_nuclear/light_red.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}

textures/ut_nuclear/security_monitor01d
{
	qer_editorimage textures/ut_nuclear/security_monitor01d.tga
	portal
	surfaceparm nolightmap
	{
//		map textures/ut_nuclear/static1.tga
		animMap 20 textures/ut_nuclear/static1.tga textures/ut_nuclear/static2.tga textures/ut_nuclear/static3.tga textures/ut_nuclear/static4.tga
		AlphaGen portal 1024
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/ut_nuclear/security_monitor01d.tga
		blendfunc blend
		depthWrite
	}
}

//towersmoke particles

textures/ut_nuclear/towersmoke_1
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 47.647812 -93.710205 151.803528 sawtooth 0 1 0.783258 0.216624
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.783258 0.216624
rgbGen wave sawtooth 1.000000 0.000000 0.783258 0.216624
tcMod stretch sawtooth 1.000000 0.000000 0.783258 0.216624
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_2
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -13.487389 99.489769 148.474579 sawtooth 0 1 0.464034 0.223172
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.464034 0.223172
rgbGen wave sawtooth 1.000000 0.000000 0.464034 0.223172
tcMod stretch sawtooth 1.000000 0.000000 0.464034 0.223172
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_3
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 30.915834 -31.865692 158.143799 sawtooth 0 1 0.569689 0.243519
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.569689 0.243519
rgbGen wave sawtooth 1.000000 0.000000 0.569689 0.243519
tcMod stretch sawtooth 1.000000 0.000000 0.569689 0.243519
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_4
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -27.466917 25.223885 169.233826 sawtooth 0 1 0.998352 0.230822
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.998352 0.230822
rgbGen wave sawtooth 1.000000 0.000000 0.998352 0.230822
tcMod stretch sawtooth 1.000000 0.000000 0.998352 0.230822
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_5
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 31.404152 -96.436317 161.717850 sawtooth 0 1 0.707175 0.209545
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.707175 0.209545
rgbGen wave sawtooth 1.000000 0.000000 0.707175 0.209545
tcMod stretch sawtooth 1.000000 0.000000 0.707175 0.209545
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_6
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.106552 34.303009 159.493454 sawtooth 0 1 0.706290 0.242334
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.706290 0.242334
rgbGen wave sawtooth 1.000000 0.000000 0.706290 0.242334
tcMod stretch sawtooth 1.000000 0.000000 0.706290 0.242334
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_7
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -67.934723 57.736507 165.475388 sawtooth 0 1 0.086245 0.212806
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.086245 0.212806
rgbGen wave sawtooth 1.000000 0.000000 0.086245 0.212806
tcMod stretch sawtooth 1.000000 0.000000 0.086245 0.212806
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_8
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 17.048197 69.602844 164.311829 sawtooth 0 1 0.009461 0.223142
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.009461 0.223142
rgbGen wave sawtooth 1.000000 0.000000 0.009461 0.223142
tcMod stretch sawtooth 1.000000 0.000000 0.009461 0.223142
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_9
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 44.822628 -45.404522 159.129318 sawtooth 0 1 0.299753 0.233313
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.299753 0.233313
rgbGen wave sawtooth 1.000000 0.000000 0.299753 0.233313
tcMod stretch sawtooth 1.000000 0.000000 0.299753 0.233313
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_10
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 4.839974 16.795732 226.192932 sawtooth 0 1 0.601215 0.176315
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.601215 0.176315
rgbGen wave sawtooth 1.000000 0.000000 0.601215 0.176315
tcMod stretch sawtooth 1.000000 0.000000 0.601215 0.176315
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_11
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -26.849348 101.780907 142.525879 sawtooth 0 1 0.229896 0.225755
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.229896 0.225755
rgbGen wave sawtooth 1.000000 0.000000 0.229896 0.225755
tcMod stretch sawtooth 1.000000 0.000000 0.229896 0.225755
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_12
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 16.326666 55.180225 174.918915 sawtooth 0 1 0.830866 0.217224
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.830866 0.217224
rgbGen wave sawtooth 1.000000 0.000000 0.830866 0.217224
tcMod stretch sawtooth 1.000000 0.000000 0.830866 0.217224
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_13
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 29.251339 34.496143 209.803528 sawtooth 0 1 0.929746 0.186373
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.929746 0.186373
rgbGen wave sawtooth 1.000000 0.000000 0.929746 0.186373
tcMod stretch sawtooth 1.000000 0.000000 0.929746 0.186373
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_14
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 48.782085 -93.095589 165.020248 sawtooth 0 1 0.094241 0.204449
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.094241 0.204449
rgbGen wave sawtooth 1.000000 0.000000 0.094241 0.204449
tcMod stretch sawtooth 1.000000 0.000000 0.094241 0.204449
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_15
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 84.093376 -24.050383 157.670746 sawtooth 0 1 0.541856 0.221845
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.541856 0.221845
rgbGen wave sawtooth 1.000000 0.000000 0.541856 0.221845
tcMod stretch sawtooth 1.000000 0.000000 0.541856 0.221845
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_16
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 22.980394 -6.400382 208.998535 sawtooth 0 1 0.640095 0.190154
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.640095 0.190154
rgbGen wave sawtooth 1.000000 0.000000 0.640095 0.190154
tcMod stretch sawtooth 1.000000 0.000000 0.640095 0.190154
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_17
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.860564 -60.657703 169.311279 sawtooth 0 1 0.678121 0.222291
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.678121 0.222291
rgbGen wave sawtooth 1.000000 0.000000 0.678121 0.222291
tcMod stretch sawtooth 1.000000 0.000000 0.678121 0.222291
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_18
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 101.046448 -5.453707 174.741562 sawtooth 0 1 0.875423 0.198091
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.875423 0.198091
rgbGen wave sawtooth 1.000000 0.000000 0.875423 0.198091
tcMod stretch sawtooth 1.000000 0.000000 0.875423 0.198091
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_19
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -7.614649 26.530703 176.972351 sawtooth 0 1 0.006684 0.223324
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.006684 0.223324
rgbGen wave sawtooth 1.000000 0.000000 0.006684 0.223324
tcMod stretch sawtooth 1.000000 0.000000 0.006684 0.223324
blendfunc blend
}
}

textures/ut_nuclear/towersmoke_20
{
qer_editorimage textures/ut_nuclear/towersmoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -111.228470 4.647691 209.919510 sawtooth 0 1 0.755150 0.168342
{
clampmap textures/ut_nuclear/towersmoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.755150 0.168342
rgbGen wave sawtooth 1.000000 0.000000 0.755150 0.168342
tcMod stretch sawtooth 1.000000 0.000000 0.755150 0.168342
blendfunc blend
}
}

