// Skybox

textures/ut_revolution/revolution
{
	qer_editorimage textures/ut_revolution/revolution
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 75
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 100 45 60
	skyparms textures/ut_revolution/env/revolution - -
}


textures/ut_revolution/light_industrial_02d
{
	qer_editorimage textures/ut_revolution/light_industrial_02d.tga
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_revolution/light_industrial_02d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_revolution/light_industrial_02d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_spot_01d
{
	qer_editorimage textures/mikec/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Gold Light Corona
textures/urban_terror6/flare001
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare001.jpg
            blendFunc GL_ONE GL_ONE
          }
}
//Red Light Corona
textures/urban_terror6/flare003
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare003.jpg
            blendFunc GL_ONE GL_ONE
          }
}
//Metal Ladder
textures/urban_terror6/fs_ladder03
{
	qer_editor_image textures/urban_terror6/fs_ladder03.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/fs_ladder03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Green Windows
textures/urban_terror6/ww-shutter01
{
	{	
		map textures/urban_terror6/ww-shutter01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/ww-shutter01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//Blue Windows
textures/wetwired/ind-windows-1
{
	{	
		map textures/wetwired/ind-windows-1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/wetwired/ind-windows-1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//White Windows
textures/urban_terror6/ww-window01
{
	{	
		map textures/urban_terror6/ww-window01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/ww-window01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//Metal Railing
textures/urban_terror7/fs_railing
{
	qer_editor_image textures/urban_terror7/fs_railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror7/fs_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Green World Map
textures/gerb/fs_screen
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_editorimage textures/gerb/fs_comp_screen_1.tga

	cull none
	{
		map textures/gerb/fs_comp_screen_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
    	{      	map textures/effects/tinfx2.tga
      		tcgen environment
   	     	blendFunc GL_ONE GL_ONE
	        rgbGen identity
	}
}
//Grey Wire Fence
textures/urban_misc/ww-greyfence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_misc/ww-greyfence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Barbed Wire
textures/bbq/barbedwire
{
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable

	{
		map textures/bbq/barbedwire.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//2D Lightbulb
textures/urban_lights/lightbulb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendFunc Add
		rgbGen identity
	}


}
//Wires
textures/ut_revolution/wires
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite2
    surfaceparm trans	
        {
                map textures/ut_revolution/wires.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}
//Terrain Shaders
//---------------------------------
// FUCKED UP BEYOND ALL RECOGNITION
// Fubar_@btinternet.com

textures/terrapack/vxmpblackrock

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight


	{

		map textures/terrapack/blackrock_1.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
	
}


textures/terrapack/vxmpblackrock1

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight


	{

		map textures/terrapack/blackrock_2.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
	
}

textures/terrapack/blackrock_0

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{

		map textures/terrapack/blackrock_1.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/terrapack/blackrock_1

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		
		map textures/terrapack/blackrock_2.tga
		rgbGen vertex
		tcmod scale 0.1 0.1
    
	}
}

textures/terrapack/blackrock_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		
		map textures/terrapack/blackrock_3.tga
		tcmod scale 0.05 0.05
		rgbGen vertex
	}
}

textures/terrapack/blackrock_0to1

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/terrapack/blackrock_1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125 
	}

	{
		map textures/terrapack/blackrock_2.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrapack/blackrock_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/terrapack/blackrock_1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/terrapack/blackrock_3.tga
		rgbGen vertex
		alphaGen vertex
                tcmod scale 0.05 0.05
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrapack/blackrock_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/terrapack/blackrock_2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}

	{
		map textures/terrapack/blackrock_3.tga
		tcmod scale 0.05 0.05
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
//---------------------------------